@ECHO OFF
CLS
ECHO Shotgun for Hexen PWAD 
ECHO.
ECHO Installation Program
ECHO.
ECHO.

IF "%1" == "" GOTO missing_param
IF "%2" == "" GOTO missing_param
IF "%3" == "" GOTO missing_param
IF NOT EXIST %1\HEXEN.WAD GOTO nodooms
IF NOT EXIST %2\%3.WAD GOTO nodooms

ECHO.
ECHO Building temporary work directories...
MD HXENSHOT
COPY FHFX*.BMP .\HXENSHOT
COPY FHMRB0.BMP .\HXENSHOT
COPY BLANK.BMP .\HXENSHOT
COPY ADVISOR.BMP .\HXENSHOT
COPY DEUT.EXE .\HXENSHOT
COPY HXENSHOT.* .\HXENSHOT
DEL FHFX*.BMP
DEL FHMRB0.BMP
DEL BLANK.BMP
DEL ADVISOR.BMP
DEL DEUT.EXE
DEL HXENSHOT.*
CD HXENSHOT
MD SPRITES
MD SOUNDS
MD GRAPHICS

ECHO.
ECHO Extracting sprites from DOOM...
DEUT -%3 %2 -bmp -get SHOTA0
DEUT -%3 %2 -bmp -get SHTGA0
DEUT -%3 %2 -bmp -get SHTGB0
DEUT -%3 %2 -bmp -get SHTGC0
REN SHOTA0.BMP WFHMA0.BMP
REN SHTGA0.BMP FHMRA0.BMP
REN SHTGB0.BMP FHMRC0.BMP
REN SHTGC0.BMP FHMRD0.BMP
COPY FHMRC0.BMP FHMRE0.BMP
COPY ADVISOR.BMP .\GRAPHICS
DEL ADVISOR.BMP
COPY *.BMP .\SPRITES
DEL *.BMP
CD SPRITES
COPY BLANK.BMP FHFXA1.BMP
COPY BLANK.BMP FHFXB1.BMP
COPY BLANK.BMP FHFXC1.BMP
COPY BLANK.BMP FHFXD1.BMP
COPY BLANK.BMP FHFXE1.BMP
COPY BLANK.BMP FHFXF1.BMP
COPY BLANK.BMP FHFXG1.BMP
COPY BLANK.BMP FHFXH1.BMP
COPY BLANK.BMP FHFXA8A2.BMP
COPY BLANK.BMP FHFXB8B2.BMP
COPY BLANK.BMP FHFXC8C2.BMP
COPY BLANK.BMP FHFXD8D2.BMP
COPY BLANK.BMP FHFXE8E2.BMP
COPY BLANK.BMP FHFXF8F2.BMP
COPY BLANK.BMP FHFXG8G2.BMP
COPY BLANK.BMP FHFXH8H2.BMP
COPY BLANK.BMP FHFXA7A3.BMP
COPY BLANK.BMP FHFXB7B3.BMP
COPY BLANK.BMP FHFXC7C3.BMP
COPY BLANK.BMP FHFXD7D3.BMP
COPY BLANK.BMP FHFXE7E3.BMP
COPY BLANK.BMP FHFXF7F3.BMP
COPY BLANK.BMP FHFXG7G3.BMP
COPY BLANK.BMP FHFXH7H3.BMP
COPY BLANK.BMP FHFXA6A4.BMP
COPY BLANK.BMP FHFXB6B4.BMP
COPY BLANK.BMP FHFXC6C4.BMP
COPY BLANK.BMP FHFXD6D4.BMP
COPY BLANK.BMP FHFXE6E4.BMP
COPY BLANK.BMP FHFXF6F4.BMP
COPY BLANK.BMP FHFXG6G4.BMP
COPY BLANK.BMP FHFXH6H4.BMP
COPY BLANK.BMP FHFXA5.BMP
COPY BLANK.BMP FHFXB5.BMP
COPY BLANK.BMP FHFXC5.BMP
COPY BLANK.BMP FHFXD5.BMP
COPY BLANK.BMP FHFXE5.BMP
COPY BLANK.BMP FHFXF5.BMP
COPY BLANK.BMP FHFXG5.BMP
COPY BLANK.BMP FHFXH5.BMP
COPY BLANK.BMP FHFXM0.BMP
COPY BLANK.BMP FHFXN0.BMP
COPY BLANK.BMP FHFXO0.BMP
COPY BLANK.BMP FHFXP0.BMP
COPY BLANK.BMP FHFXQ0.BMP
COPY BLANK.BMP FHFXR0.BMP
COPY BLANK.BMP FHFXS0.BMP
COPY BLANK.BMP FHFXT0.BMP
COPY BLANK.BMP FHFXU0.BMP
COPY BLANK.BMP FHFXV0.BMP
COPY BLANK.BMP FHFXW0.BMP
DEL BLANK.BMP
CD..

ECHO.
ECHO Extracting sounds from DOOM...
DEUT -%3 %2 -wav -get DSSHOTGN
REN DSSHOTGN.WAV HAMMIS2.WAV
COPY HAMMIS2.WAV HAMWAL1.WAV
COPY *.WAV .\SOUNDS
DEL *.WAV

ECHO.
ECHO Buiding incomplete PWAD file...
REN %1\HEXEN.WAD HERETIC.WAD
DEUT -heretic %1 -make hxenshot.wcd %1\hxenshot.wad

ECHO.
ECHO Appending HEXEN sprites to PWAD...
DEUT -heretic %1 -sprites -append %1\hxenshot.wad
REN %1\HERETIC.WAD HEXEN.WAD

ECHO.
ECHO Copying .BAT and .TXT to %1...
copy hxenshot.rmy %1\hxenshot.bat /Y
copy hxenshot.txt %1\hxenshot.txt /Y

ECHO.
ECHO Cleaning up...
ECHO Answer yes to any questions that follow...
DEL *.*
CD SPRITES
DEL *.*
CD..
RD SPRITES
CD SOUNDS
DEL *.*
CD..
RD SOUNDS
CD GRAPHICS
DEL *.*
CD..
RD GRAPHICS
CD..
RD HXENSHOT

ECHO.
ECHO Done!
ECHO.
ECHO To finish cleaning, del INSTALL.BAT.
ECHO.
ECHO To play, go to the %1 and type "HXENSHOT"
ECHO.
GOTO end2

:missing_param
ECHO Usage:  install x:\path\to\hexen x:\path\to\doom doomgame
ECHO.
ECHO         e.g.  install c:\games\hexen c:\games\doom2 doom2
ECHO.
GOTO end

:nodooms
ECHO Either %1 and/or %2 and/or %3 are not correct!
ECHO.
GOTO end

:end
ECHO Installation aborted.
ECHO.

:end2
